Subject: Re: Translation Prevailing Wage Rate
From: "Mike" <[email-masked]>
To: "Doris Fergus" <[email-masked]>
Date: Tue, 27 Oct 2009 09:51:01 -0400

I was told your check was mailed out.  Much appreciated!
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Doris Fergus 
  To: Mike Bishop 
  Sent: Monday, October 26, 2009 10:54 PM
  Subject: Translation Prevailing Wage Rate

  Mike,
  Here it goes let me know if you got, I will add this to the next one. Have you sent the check from the translations I did last week? If you have not then just add 30 minutes so that would be a total of 21/2 hrs.

  Thank you,
  Doris